Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2262 closed defect (fixed)

psxhdr Improvements

Reported by: Joel Sherrill Owned by:
Priority: normal Milestone: Indefinite
Component: unspecified Version:
Severity: normal Keywords: testing
Cc: Blocked By:
Blocking:

Description

The test directory testsuites/psxtests/psxhdrs has simple programs which ensure that the RTEMS POSIX implementation defines methods in compliance with that Open Group specification. That specification defines the precise set of header files which are to be included and the method signature. There is one small file per method defined.

The improvements are as follows:

  • reorganize so tests related to the methods in a single POSIX header file are in a logically named directory. For example stdio/ or sys/socket. Directory structure should reflect .h file names.
  • Augment to add cases for missing methods.
  • Older test files do not follow Doxygen header standards and need to be updated.

It would also be nice if this can be easily built on a non-RTEMS platform since it is checking API conformance.

Change History (8)

comment:1 Changed on 03/02/17 at 18:39:20 by Amar Takhar

Owner: set to Amar Takhar
Status: newaccepted

I've already laid the groundwork for this to be done and it is already the plan to move to this. It was done 2 years ago.

comment:2 Changed on 03/02/17 at 18:39:34 by Amar Takhar

Keywords: testing added

comment:3 Changed on 10/10/17 at 06:46:55 by Sebastian Huber

Component: testingunspecified

comment:4 Changed on 11/09/17 at 06:26:42 by Sebastian Huber

Milestone: 5.06.1

Milestone renamed

comment:5 Changed on 01/23/18 at 22:25:46 by Chris Johns

Milestone: 6.1Indefinite
Version: 4.11

comment:6 Changed on 12/09/18 at 14:33:53 by taneka zenon hans

Hi, because I do not have admin rights to modify the description, could someone help me add the following to the description? Thank you!

This task of adding POSIX compliance tests have been divided into subtasks each focusing on different header files. These subtasks were used in the GCI 2018 as tasks and majority have been completed. Therefore, the task has been changed to fixing the bugs identified and adding any incomplete tests. This ticket is hence obsolete and you should refer to ticket #2966 instead.


comment:7 Changed on 01/19/23 at 17:20:09 by Amar Takhar

Owner: Amar Takhar deleted
Status: acceptednew

comment:8 Changed on 01/19/23 at 17:21:36 by Joel Sherrill

Resolution: fixed
Status: newclosed

This has been done and the last comment cites another ticket which should be checked.

Note: See TracTickets for help on using tickets.